DANCER(1p)

NAME
dancer - helper script to create new Dancer applications

VERSION
version 1.3522

SYNOPSIS
dancer [options] -a <appname>

DESCRIPTION
Helper script for providing a bootstrapping method to quickly and easily create the framework for a new Dancer application.

OPTIONS
    -h, --help            : print what you are currently reading
    -a, --application     : the name of your application
    -p, --path            : the path where to create your application
                              (current directory if not specified)
    -x, --no-check        : don't check for the latest version of Dancer
                              (checking version implies internet connection)
    -v, --version         : print the version of dancer being used

EXAMPLE
Here is an application created with dancer:

    $ dancer -a MyWeb::App
    + MyWeb-App
        + MyWeb-App/bin
        + MyWeb-App/bin/app.pl
        + MyWeb-App/config.yml
        + MyWeb-App/environments
        + MyWeb-App/environments/development.yml
        + MyWeb-App/environments/production.yml
        + MyWeb-App/views
        + MyWeb-App/views/index.tt
        + MyWeb-App/views/layouts
        + MyWeb-App/views/layouts/main.tt
        + MyWeb-App/MANIFEST.SKIP
        + MyWeb-App/lib
        + MyWeb-App/lib/MyWeb
        + MyWeb-App/lib/MyWeb/App.pm
        + MyWeb-App/public
        + MyWeb-App/public/css
        + MyWeb-App/public/css/style.css
        + MyWeb-App/public/css/error.css
        + MyWeb-App/public/images
        + MyWeb-App/public/500.html
        + MyWeb-App/public/404.html
        + MyWeb-App/public/dispatch.fcgi
        + MyWeb-App/public/dispatch.cgi
        + MyWeb-App/public/javascripts
        + MyWeb-App/public/javascripts/jquery.min.js
        + MyWeb-App/t
        + MyWeb-App/t/002_index_route.t
        + MyWeb-App/t/001_base.t
        + MyWeb-App/Makefile.PL

The application is ready to serve:

    $ cd MyWeb-App
    $ ./bin/app.pl
    >> Listening on 127.0.0.1:3000
    == Entering the development dance floor ...

AUTHOR
Dancer Core Developers

COPYRIGHT AND LICENSE
This software is copyright (c) 2010 by Alexis Sukrieh.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.